libsepol (3.1-1) unstable; urgency=medium

  * New upstream release
  * debian/rules: Add -fno-semantic-interposition to the CFLAGS
    (Closes: #961329)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 14 Jul 2020 15:44:40 +0200

libsepol (3.1~rc1-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.
  * Set upstream metadata fields: Bug-Submit.

  [ Laurent Bigonville ]
  * New upstream version 3.1~rc1 (Closes: #955286, #955154)
  * debian/gitlab-ci.yml: Add salsa CI
  * debian/control: Set Rules-Requires-Root: no
  * debian/rules: Do not override CC when cross-compiling, debhelper is
    already doing that for us.

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 1.12.24-1, 1.8-1.
  * Update standards version to 4.5.0, no changes needed.

 -- Laurent Bigonville <bigon@debian.org>  Sat, 23 May 2020 10:30:39 +0200

libsepol (3.0-1) unstable; urgency=medium

  * New upstream release
    - debian/libsepol1.symbols: Add newly exported symbols
  * debian/control: Bump Standards-Version to 4.4.1 (no further changes)
  * Bump debhelper compatibility to 12, remove override for dh_missing
  * debian/control: Drop explicit build-dep against dpkg-dev (>= 1.16.0), that
    version is available for age

 -- Laurent Bigonville <bigon@debian.org>  Tue, 10 Dec 2019 15:47:14 +0100

libsepol (2.9-2) unstable; urgency=medium

  * Upload to unstable

 -- Laurent Bigonville <bigon@debian.org>  Sat, 06 Jul 2019 17:57:55 +0200

libsepol (2.9-1) experimental; urgency=medium

  * New upstream release
  * debian/watch: Adjust the URL
  * debian/control: Bump Standards-Version to 4.3.0 (no further changes)
  * debian/sepol-utils.install: Install manpages in Russian

 -- Laurent Bigonville <bigon@debian.org>  Sun, 17 Mar 2019 19:09:02 +0100

libsepol (2.8-1) unstable; urgency=medium

  * New upstream release
    - Drop debian/patches/sctp, merged upstream
    - debian/libsepol1.symbols: Add new exported symbols
  * debian/control: Point Vcs-* fields to new (salsa) machine
  * debian/control: Bump Standards-Version to 4.1.4 (no further changes)
  * debian/rules: Adjust to match upstream changes to the build system
  * debian/rules: Use dh_missing --list-missing instead of dh_install
  * debian/control: Downgrade libsepol1 to Priority: optional
  * debian/copyright: Fix a spelling error, thanks to lintian

 -- Laurent Bigonville <bigon@debian.org>  Mon, 28 May 2018 14:52:00 +0200

libsepol (2.7-2) unstable; urgency=medium

  * https://marc.info/?l=selinux&m=152078548332657&q=raw
    Add the above patch for sctp support as part of fixing bug 895988.

 -- Russell Coker <russell@coker.com.au>  Sat, 19 May 2018 10:08:20 +1000

libsepol (2.7-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Remove Manoj from the uploader list and add myself
    instead. Thanks to him for all the work in the past.
  * Bump debhelper compatibility to 10
  * Bump Standards-Version to 4.1.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 09 Sep 2017 22:10:08 +0200

libsepol (2.7~rc2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release candidate
    - Drop debian/patches/fix_use-after-free_python3.patch: applied upstream
    - debian/libsepol1.symbols: Update the .symbols file
  * debian/watch: Add support for rc releases and use macros
  * Bump Standards-Version to 4.0.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 20 Jun 2017 21:16:04 +0200

libsepol (2.6-2) unstable; urgency=medium

  * Team upload.
  * debian/patches/fix_use-after-free_python3.patch: Fix use-after-free when
    using python3 bindings, this was preventing to modify/delete
    bool|iface|user, from upstream (Closes: #846484)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 04 Dec 2016 00:19:56 +0100

libsepol (2.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Make the build reproducible (Closes: #825656)
    - Produce more meaningful error messages for conflicting type rules
      (Closes: #832331)
  * debian/libsepol1.symbols: Add the Build-Depends-Package field
  * debian/control: Bump Standards-Version to 3.9.8 (no further changes)
  * debian/gbp.conf: Rename git-buildpackage section to buildpackage

 -- Laurent Bigonville <bigon@debian.org>  Thu, 27 Oct 2016 15:54:09 +0200

libsepol (2.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Adjust .symbols file. The symbols are now versioned
  * debian/gbp.conf: Sign tags by default
  * debian/control: Bump Standards-Version to 3.9.7 (no further changes)
  * debian/control: Fix Vcs-* URL's to please lintian (again)
  * debian/rules: Pass --list-missing to dh_install

 -- Laurent Bigonville <bigon@debian.org>  Sun, 24 Apr 2016 15:15:01 +0200

libsepol (2.4-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable
  * debian/control: Use ${misc:Pre-Depends} instead of pre-depending directly
    against multiarch-support

 -- Laurent Bigonville <bigon@debian.org>  Wed, 18 Nov 2015 17:53:15 +0100

libsepol (2.4-1) experimental; urgency=medium

  * Team upload.
  * New upstream release
    - debian/control: Add flex to the build-dependency
    - debian/libsepol1.symbols: Adjust the .symbols file
  * debian/control: Bump Standards-Version to 3.9.6 (no further changes)
  * debian/watch: Update watch file URL

 -- Laurent Bigonville <bigon@debian.org>  Tue, 02 Jun 2015 18:53:02 +0200

libsepol (2.3-2) unstable; urgency=medium

  * Team upload.
  * Drop debian/libsepol1.postinst: Reloading systemd during an upgrade in an
    uncontroled way might endup with unwanted side effects (Closes: #753727)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 31 Aug 2014 20:02:14 +0200

libsepol (2.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * debian/control: Mark -dev package as Multi-arch: same. (Closes: #738049)
  * debian/control: Bump Standards-Version to 3.9.5 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 13 May 2014 17:35:24 +0200

libsepol (2.2-1) unstable; urgency=low

  * Team upload.
  * New upstream release
    - Drop debian/patches/fix-pc-file.patch: Merged upstream
  * debian/control: Bump Standards-Version to 3.9.4 (no further changes)
  * debian/control: Use canonical URL for VCS-Git field

 -- Laurent Bigonville <bigon@debian.org>  Fri, 01 Nov 2013 13:02:59 +0100

libsepol (2.1.9-2) unstable; urgency=low

  * Team upload.
  * debian/rules: Really fix cross-compilation (Closes: #688878)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 20 May 2013 16:21:35 +0200

libsepol (2.1.9-1) unstable; urgency=low

  * Team upload.
  * New Upstream release
  * debian/rules: Automatically chose host gcc used when cross-compiling
    (Closes: #688878)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 09 May 2013 15:12:53 +0200

libsepol (2.1.8-1) experimental; urgency=low

  * Team upload.
  * New Upstream release
  * debian/gbp.conf: Change default git-buildpackage build-directory and the
    debian-branch to "debian" instead of "upstream"
  * debian/watch: Fix watch file URL

 -- Laurent Bigonville <bigon@debian.org>  Tue, 25 Sep 2012 22:46:14 +0200

libsepol (2.1.4-3) unstable; urgency=low

  * Team upload.
  * debian/rules: Append CPPFLAGS hardening flags to CFLAGS (Closes: #665316)
  * debian/control: Re-add Conflicts/Provides for the libsepol1-dev package

 -- Laurent Bigonville <bigon@debian.org>  Sun, 01 Apr 2012 00:56:03 +0200

libsepol (2.1.4-2) unstable; urgency=low

  * Team upload.
  * Switch to dh sequence and debhelper 9
    - Enable hardened build flags (Closes: #656016)
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/control:
    - Bump Standards-Version to 3.9.3 (no further changes)
    - Fix typo in Description (Closes: #639704)
    - Drop Conflict against checkpolicy (<= 1.20), it's long time gone
    - Drop Conflict/Provide against libsepol-dev, it's long time gone too
    - Drop Multi-Arch: same for -dev package
    - Drop Multi-Arch: foreign for sepol-utils package
    - Update Vcs-* fields
    - Add Homepage field
    - Make all binary packages arch:linux-any
    - Put under the Debian SELinux team maintenance
  * debian/patches/fix-pc-file.patch: Properly set multi-arch path in .pc file
    (Closes: #658440)
  * Add debian/gbp.conf file
  * debian/libsepol1.postinst: Unconditionally call telinit and ignore any
    errors (Closes: #652669, #663270)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 20 Mar 2012 22:07:12 +0100

libsepol (2.1.4-1) unstable; urgency=low

  * New upstream version, changes to handling of tunables and moved some code
    from mcstrans to libsepol.
  * Added new symbols expand_module_avrules, sepol_get_preserve_tunables,
    and sepol_set_preserve_tunables.

 -- Russell Coker <russell@coker.com.au>  Mon, 20 Feb 2012 15:25:22 +1100

libsepol (2.1.0-1.2) unstable; urgency=low

  * Non-maintainer upload since maintainer is busy
  * Build for multiarch, setting Pre-Depends multiarch-support in our shared
    lib package, closes: #638018
  * Always use -n with gzip, to avoid encoding timestamps in the gzip file;
    this ensures compressed docs and other files are identical across
    multiple builds, required for multiarch.

 -- Riku Voipio <riku.voipio@linaro.org>  Fri, 16 Dec 2011 17:43:47 +0200

libsepol (2.1.0-1.1) unstable; urgency=low

  * Made it NOT be a Debian native package.
  * Made myself the maintainer as Manoj has been busy for a while.

 -- Russell Coker <russell@coker.com.au>  Tue, 30 Aug 2011 14:41:02 +1000

libsepol (2.1.0-1) unstable; urgency=low

  * New Upstream version: new role transition and role attribute support.

 -- Russell Coker <russell@coker.com.au>  Mon, 29 Aug 2011 21:40:52 +1000

libsepol (2.0.42-1) unstable; urgency=low

  * New Upstream ver: Fix compliation under GCC 4.6 by Justin Mattock

 -- Russell Coker <russell@coker.com.au>  Wed, 05 Jan 2011 20:02:28 +1100

libsepol (2.0.41-1) unstable; urgency=low

  * Added myself to the uploaders.
  * This version is a trivial new upstream release, so it seems that we might
    as well just include it for Squeeze.

 -- Russell Coker <russell@coker.com.au>  Wed, 26 May 2010 14:54:26 +1000

libsepol (2.0.40-2) unstable; urgency=low

  * Fix typo found by lintian.
  * [25329c6]: [spelling fix]: cannnot -> cannot and suport -> support
    This was reported after a lintian check found this on any package
    linked with libsepol. Closes: #556390

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 17 Nov 2009 10:29:54 -0600

libsepol (2.0.40-1) unstable; urgency=low

  * New upstream point release
    + Added pkgconfig file. This eliminates the last patch we were
      carrying against upstream.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 17 Nov 2009 09:53:02 -0600

libsepol (2.0.39-1) unstable; urgency=low

  * New upstream point release. Adds support for building Xen policies
    from Paul Nuzzi.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 15 Oct 2009 22:53:54 -0500

libsepol (2.0.38-2) unstable; urgency=high

  * Handle the init=/bin/sh case in postinst
    The previous tests did not check to see if the process running with
    process id 1 was actually /sbin/init, or if /dev/initctl was present to
    be talked to.
  * Note that checklibs fails with a spurious error on IA64.
  * Urgency high, since this is causing all kinds of failures in
    situations were init=/bin/sh, like qemubuilder.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 08 Sep 2009 11:52:21 -0500

libsepol (2.0.38-1) unstable; urgency=low

  * New upstream release
     Check last offset in the module package against the file size.
     Reported by Manoj Srivastava for bug filed by Max Kellermann.
  * Bug fix: "out of memory", thanks to Max Kellermann   (Closes: #543915).
  * Bug fix: "/etc/.initctl: ENOENT breaks debootstrap on kfreebsd",
    thanks to Philipp Kern. This package has been removed from all !linux
    architectures, and no longer builds on them.         (Closes: #543938).
  * First cut at providing symbols files.
  *  Check for extra libraries and shlib version numbers.  Unless there is
    a nocheck option in the deb build options variable, now we look to see
    if there are extra libraries we have linked to. Might need to back
    this out later, if this causes problems on the buildds.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 01 Sep 2009 16:58:24 -0500

libsepol (2.0.37-2) unstable; urgency=low

  * [f7ba986]: [libsepol]: common code update: Make sure the jobserver is
    no killed.
  * [b8570c3]: [libsepol] only run init -u when not in a chroot
    This fix was done 10 days ago, I just forgot to upload the new
    version; and then I was wondering how the bugs could possibly happen,
    since the code in front of me would prevent that.
    Bug fix: "postinst script fails in chroot environment", thanks to
    Ondřej Surý (Closes: #543347).
    Bug fix: "telinit doesn&#39;t work inside chroot", thanks to Sylvain
    Le Gall (Closes: #543344).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 24 Aug 2009 09:36:01 -0500

libsepol (2.0.37-1) unstable; urgency=low

  * New upstream release
    + Add method to check disable dontaudit flag from Christopher Pardy.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 13 Aug 2009 23:51:54 -0500

libsepol (2.0.36-1) unstable; urgency=low

  * New upstream release
    + Fix boolean state smashing from Joshua Brindle.
    + Fix alias field in module format, caused by boundary format change
      from Caleb Case.
    + Add bounds support from KaiGai Kohei.
    + Fix invalid aliases bug from Joshua Brindle.
    + Revert patch that removed expand_rule.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 29 Apr 2009 20:43:17 -0500

libsepol (2.0.32-1) unstable; urgency=low

  * New upstream release
    + Allow require then declare in the source policy from Joshua
      Brindle.
    + Fix mls_semantic_level_expand() to handle a user require w/o MLS
      information from Stephen Smalley.
  * Updated the watch and copyright files to reflect the new source
    location.

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 09 Feb 2009 23:51:49 -0600

libsepol (2.0.30-2) unstable; urgency=low

  * Added exec_prefix to libselinux.pc.
    Closes: #489724

 -- Russell Coker <russell@coker.com.au>  Sun, 13 Jul 2008 00:26:51 +1000

libsepol (2.0.30-1) unstable; urgency=low

  * Non-maintainer upload.
  * New version needed for latest policy.

 -- Russell Coker <russell@coker.com.au>  Fri, 11 Jul 2008 23:55:10 +1000

libsepol (2.0.25-2) unstable; urgency=low

  * Record the new location of the repository for this package (moved to a
    new git repository)
  * Move to the new, make -j friendly targets in debian/rules.

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 31 May 2008 00:42:03 -0500

libsepol (2.0.25-1) unstable; urgency=low

  * New upstream release
    * Drop unused ->buffer field from struct policy_file.
    * Add policy_file_init() initalizer for struct policy_file and use it,
      from Todd C. Miller.
    * Accept "Flask" as an alternate identifier string in kernel policies
      from Stephen Smalley.
    * Add support for open_perms policy capability from Eric Paris.


 -- Manoj Srivastava <srivasta@debian.org>  Mon, 17 Mar 2008 13:29:44 -0500

libsepol (2.0.21-1) unstable; urgency=low

  * New upstream SVN HEAD.
    * Fix invalid memory allocation in policydb_index_others() from Jason Tang.
    * Port of Yuichi Nakamura's tune avtab to reduce memory usage patch
      from the kernel avtab to libsepol from Stephen Smalley.
    * Add support for consuming avrule_blocks during expansion to reduce
      peak memory usage from Joshua Brindle.
    * Added support for policy capabilities from Todd Miller.
    * Prevent generation of policy.18 with MLS enabled from Todd Miller.
    * print module magic number in hex on mismatch, from Todd Miller.
    * clarify and reduce neverallow error reporting from Stephen Smalley.
    * Reject self aliasing at link time from Stephen Smalley.
    * Allow handle_unknown in base to be overridden by semanage.conf from
      Stephen Smalley.
    * Fixed bug in require checking from Stephen Smalley.
    * Added user hierarchy checking from Todd Miller.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 28 Feb 2008 08:30:19 -0600

libsepol (2.0.11-1) unstable; urgency=low

  * New upstream release.
    * Pass CFLAGS to CC even on link command, per Dennis Gilmore.
    * Merged support for the handle_unknown policydb flag from Eric Paris.
    * Moved next_entry and put_entry out-of-line to reduce code size from
      Ulrich Drepper.
    * Fixed module_package_read_offsets bug introduced by the prior patch.
    * Eliminate unaligned accesses from policy reading code from Stephen
      Smalley.                                           Closes: Bug#439539
    * Allow dontaudits to be turned off during policy expansion from
      Joshua Brindle.
    * Fix sepol_context_clone to handle a NULL context correctly.
      This happens for e.g. semanage_fcontext_set_con(sh, fcontext, NULL)
      to set the file context entry to "<<none>>".
    * Merged error handling patch from Eamon Walsh.
  * The cross building support in Debian has been rewritten to stop
    overriding the CC  variable to $(MAKE) in order to correctly support
    those packages that build internal tools with the native compiler
    during the build. This means that other packages that assume that CC
    will be overridden by the cross-compiling build scripts now fail to
    build. The patch is simply to set CC to $(DEB_HOST_GNU_TYPE)-gcc only
    if a cross-build is detected. The solution was proposed by  Neil
    Williams, but has been modified to be more generally applicable.
                                                          Closes: Bug#448014
  * The API was added to in this release, which means we need a shlibs
    bump. The soname has not changed.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 06 Feb 2008 09:50:38 -0600

libsepol (2.0.3-1) unstable; urgency=low

  * New upstream bugfix SVN HEAD.
    + Merged fix from Karl to remap booleans at expand time to avoid holes
      in the symbol table.
    + Merged add boolmap argument to expand_module_avrules() from Chris
      PeBenito.

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  6 May 2007 16:38:09 -0500

libsepol (2.0.1-1) unstable; urgency=low

  * New upstream release. This is the trunk, or development, version.
  * Merged patch to add errcodes.h to libsepol by Karl MacMillan.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 19 Apr 2007 17:17:39 -0500

libsepol (1.16.1-1) unstable; urgency=low

  * New upstream release
    * Merged libsepol segfault fix from Stephen Smalley for when
      sensitivities are required but not present in the base.
    * Updated version for stable branch.
    * Merged patch to compile wit -fPIC instead of -fpic from
      Manoj Srivastava to prevent hitting the global offest table
      limit. Patch changed to include libselinux and libsemanage in
      addition to libselinux.
    * Merged fix from Karl MacMillan for a segfault when linking
      non-MLS modules with users in them.
    * Merged fix for version comparison that was preventing range
      transition rules from being written for a version 5 base policy
      from Darrel Goeddel.
  * Added XS-VCS-Arch and XS-VCS-Browse to debian/control

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 18 Apr 2007 19:34:35 -0500

libsepol (1.14-3) unstable; urgency=low

  * This fix is in reference to Bug#408278. In the postinst, we now use
    telinit u, instead of plain old init u, if telinit is available.
    Using init directly is bad form, according to sysvinit maintainer.
  * Make the dev package depend on the exact ${binary:Version}, not the
    ${Source-Version}, which should make this package friendlier to
    binNMUs.

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 26 Feb 2007 10:09:10 -0600

libsepol (1.14-2) unstable; urgency=high

  * Compile with -fPIC instead of -fpic. This fixes a FTBS for rpm on
    sparc.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 15 Nov 2006 01:31:58 -0600

libsepol (1.14-1) unstable; urgency=low

  * New upstream release
    * Build libsepol's static object files with -fpic
    * Updated version for release.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 20 Oct 2006 11:50:47 -0500

libsepol (1.12.26-2) unstable; urgency=low

  * Bump the shlibs version. Mea culpa. I had missed the fact that the
    included range_transition enhancements and user module format changes
    may make packages, even if they compile fine, misbehave subtly.

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 11 Sep 2006 15:31:46 -0500

libsepol (1.12.26-1) unstable; urgency=low

  * New upstream point release
  * Merged conditionally expand neverallows patch from Jeremy Mowery.
  * Merged refactor expander patch from Jeremy Mowery.
  * Merged range transition enhancements and user format changes Darrel
    Goeddel
  * Provide md5sums

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  6 Sep 2006 16:24:16 -0500

libsepol (1.12.24-1) unstable; urgency=low

  * New upstream point release
    * Merged libsepol unit tests from Joshua Brindle.
    * Merged symtab datum patch from Karl MacMillan.
    * Merged netfilter contexts support from Chris PeBenito.
    * Merged helpful hierarchy check errors patch from Joshua Brindle.
    * Merged semodule_deps patch from Karl MacMillan.
      This adds source module names to the avrule decls.
  * Bug fix: "libsepol1: Should run "telinit u" in postinst script", thanks to
    Piotr Kaczuba                            (Closes: #382020).

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  9 Aug 2006 11:48:50 -0500

libsepol (1.12.19-1) unstable; urgency=low

  * New upstream point release
    * Lindent.
    * Merged optionals in base take 2 patch set from Joshua Brindle.
    * Merged fixes for several memory leaks in the error paths during
      policy read from Serge Hallyn.
    * Fixed bool_ids overflow bug in cond_node_find and cond_copy_list,
      based on bug report and suggested fix by Cedric Roux.
    * Merged sens_copy_callback, check_role_hierarchy_callback,
      and node_from_record fixes from Serge Hallyn.
    * Added sepol_policydb_compat_net() interface for testing whether
      a policy requires the compatibility support for network checks
      to be enabled in the kernel.
    * Merged patch to initialize sym_val_to_name arrays from Kevin Carr.
      Reworked to use calloc in the first place, and converted some other
      malloc/memset pairs to calloc calls.
    * Merged patch to revert role/user decl upgrade from Karl MacMillan.
    * Dropped tests from all Makefile target.
    * Merged fix warnings patch from Karl MacMillan.
    * Merged libsepol test framework patch from Karl MacMillan.
    * Fixed cond_normalize to traverse the entire cond list at link time.
    * Merged fix for leak of optional package sections from Ivan Gyurdiev.
    * Generalize test for bitmap overflow in ebitmap_set_bit.
    * Fixed attr_convert_callback and expand_convert_type_set
      typemap bug.
    * Fixed avrule_block_write num_decls endian bug.
    * Fixed sepol_module_package_write buffer overflow bug.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 19 Jul 2006 16:35:56 -0500

libsepol (1.12-1) unstable; urgency=low

  * New upstream release
    * Updated version for release.
    * Merged cond_evaluate_expr fix from Serge Hallyn (IBM).
    * Fixed bug in copy_avrule_list reported by Ivan Gyurdiev.
    * Merged sepol_policydb_mls_enabled interface and error handling
      changes from Ivan Gyurdiev.
    * Merged node_expand_addr bugfix and node_compare* change from
      Ivan Gyurdiev.
    * Merged nodes, ports: always prepend patch from Ivan Gyurdiev.
    * Merged bug fix patch from Ivan Gyurdiev.
    * Added a defined flag to level_datum_t for use by checkpolicy.
    * Merged nodecon support patch from Ivan Gyurdiev.
    * Merged cleanups patch from Ivan Gyurdiev.
    * Merged optionals in base patch from Joshua Brindle.
    * Merged seuser/user_extra support patch from Joshua Brindle.
    * Merged fix patch from Ivan Gyurdiev.
    * Merged clone record on set_con patch from Ivan Gyurdiev.
    * Merged assertion copying bugfix from Joshua Brindle.
    * Merged sepol_av_to_string patch from Joshua Brindle.
    * Merged cond_expr mapping and package section count bug fixes
      from Joshua Brindle.
    * Merged improve port/fcontext API patch from Ivan Gyurdiev.
    * Merged fixes for overflow bugs on 64-bit from Ivan Gyurdiev.
    * Merged size_t -> unsigned int patch from Ivan Gyurdiev.
    * Merged 2nd const in APIs patch from Ivan Gyurdiev.
    * Merged const in APIs patch from Ivan Gyurdiev.
    * Merged compare2 function patch from Ivan Gyurdiev.
    * Fixed hierarchy checker to only check allow rules.
    * Merged further fixes from Russell Coker, specifically:
      - av_to_string overflow checking
      - sepol_context_to_string error handling
      - hierarchy checking memory leak fixes and optimizations
      - avrule_block_read variable initialization
    * Marked deprecated code in genbools and genusers.
    * Merged bugfix for sepol_port_modify from Russell Coker.
    * Fixed bug in sepol_iface_modify error path noted by Ivan Gyurdiev.
    * Merged port ordering patch from Ivan Gyurdiev.
    * Merged patch series from Ivan Gyurdiev.
      This includes patches to:
      - support ordering of records in compare function
      - enable port interfaces
      - add interfaces for context validity and range checks
      - add include guards
    * Fixed mls_range_cpy bug.


 -- Manoj Srivastava <srivasta@debian.org>  Wed, 22 Mar 2006 16:13:34 -0600

libsepol (1.10-2) unstable; urgency=low

  * Bug fix: "libsepol: please include a pkg-config file", thanks to
    Guillem Jover In Debian, dpkg compiles in libselinux statically -- in
    order to prevent dependency loops. Now, as libselinux acquired a build
    time dependency on libsepol, automated dpkg builds failed -- since
    there was no way for packages to detect the transitive dependencies
    when linking statically. This patch fixes that issue -- by generating
    a .pc file to be used with pkg-config.                  (Closes: #348947).

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 28 Jan 2006 20:23:36 -0600

libsepol (1.10-1) unstable; urgency=low

  * New upstream release
    * Updated version for release.
    * Dropped handle from user_del_role interface.
    * Merged remove defrole from sepol patch from Ivan Gyurdiev.
    * Merged module function and map file cleanup from Ivan Gyurdiev.
    * Merged MLS and genusers cleanups from Ivan Gyurdiev.
      Prepare for removal of booleans* and *.users files.
    * Cleaned up sepol_genbools to not regenerate the image if
      there were no changes in the boolean values, including the
      degenerate case where there are no booleans or booleans.local
      files.
    * Cleaned up sepol_genusers to not warn on missing local.users.
    * Removed sepol_port_* from libsepol.map, as the port interfaces
      are not yet stable.
    * Merged context destroy cleanup patch from Ivan Gyurdiev.
    * Merged context_to_string interface change patch from Ivan Gyurdiev.
    * Added src/dso.h and src/*_internal.h.
      Added hidden_def for exported symbols used within libsepol.
      Added hidden for symbols that should not be exported by
      the wildcards in libsepol.map.
    * Merged record interface, record bugfix, and set_roles patches
      from Ivan Gyurdiev.
    * Merged count specification change from Ivan Gyurdiev.
    * Added further checking and error reporting to
      sepol_module_package_read and _info.
    * Merged sepol handle passing, DEBUG conversion, and memory leak
      fix patches from Ivan Gyurdiev.
    * Removed processing of system.users from sepol_genusers and
      dropped delusers logic.
    * Removed policydb_destroy from error path of policydb_read,
      since create/init/destroy/free of policydb is handled by the
      caller now.
    * Fixed sepol_module_package_read to handle a failed policydb_read
      properly.
    * Merged query/exists and count patches from Ivan Gyurdiev.
    * Merged fix for pruned types in expand code from Joshua Brindle.
    * Merged new module package format code from Joshua Brindle.
    * Merged context interface cleanup, record conversion code,
      key passing, and bug fix patches from Ivan Gyurdiev.
    * Merged users cleanup patch from Ivan Gyurdiev.
    * Merged user record memory leak fix from Ivan Gyurdiev.
    * Merged reorganize users patch from Ivan Gyurdiev.
    * Added check flag to expand_module() to control assertion
      and hierarchy checking on expansion.
    * Reworked check_assertions() and hierarchy_check_constraints()
      to take handles and use callback-based error reporting.
    * Changed expand_module() to call check_assertions() and
      hierarchy_check_constraints() prior to returning the expanded
      policy.
    * Changed sepol_module_package_set_file_contexts to copy the
      file contexts data since it is internally managed.
    * Added sepol_policy_file_set_handle interface to associate
      a handle with a policy file.
    * Added handle argument to policydb_from_image/to_image.
    * Added sepol_module_package_set_file_contexts interface.
    * Dropped sepol_module_package_create_file interface.
    * Reworked policydb_read/write, policydb_from_image/to_image,
      and sepol_module_package_read/write to use callback-based error
      reporting system rather than DEBUG.
    * Reworked link_packages, link_modules, and expand_module to use
      callback-based error reporting system rather than error buffering.
    * Merged conditional expression mapping fix in the module linking
      code from Joshua Brindle.
    * Hid sepol_module_package type definition, and added get interfaces.
    * Merged new callback-based error reporting system from Ivan
      Gyurdiev.
    * Merged support for require blocks inside conditionals from
      Joshua Brindle (Tresys).
    * Fixed use of policydb_from_image/to_image to ensure proper
      init of policydb.
    * Isolated policydb internal headers under <sepol/policydb/*.h>.
      These headers should only be used by users of the static libsepol.
      Created new <sepol/policydb.h> with new public types and interfaces
      for shared libsepol.
      Created new <sepol/module.h> with public types and interfaces moved
      or wrapped from old module.h, link.h, and expand.h, adjusted for
      new public types for policydb and policy_file.
      Added public interfaces to libsepol.map.
      Some implementation changes visible to users of the static libsepol:
      1) policydb_read no longer calls policydb_init.
         Caller must do so first.
      2) policydb_init no longer takes policy_type argument.
         Caller must set policy_type separately.
      3) expand_module automatically enables the global branch.
         Caller no longer needs to do so.
      4) policydb_write uses the policy_type and policyvers from the
         policydb itself, and sepol_set_policyvers() has been removed.
    * Merged function renaming and static cleanup from Ivan Gyurdiev.
    * Merged bug fix for check_assertions handling of no assertions
      from Joshua Brindle (Tresys).
    * Merged iterate patch from Ivan Gyurdiev.
    * Merged MLS in modules patch from Joshua Brindle (Tresys).
    * Merged pointer typedef elimination patch from Ivan Gyurdiev.
    * Merged user list function, new mls functions, and bugfix patch
      from Ivan Gyurdiev.
    * Merged sepol_get_num_roles fix from Karl MacMillan (Tresys).
    * Merged bug fix patches from Joshua Brindle (Tresys).
    * Merged boolean record and memory leak fix patches from Ivan
      Gyurdiev.
    * Merged interface record patch from Ivan Gyurdiev.
    * Merged fix for sepol_enable/disable_debug from Ivan
      Gyurdiev.
    * Merged stddef.h patch and debug conversion patch from
      Ivan Gyurdiev.
    * Fixed expand_avtab and expand_cond_av_list to keep separate
      entries with identical keys but different enabled flags.

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 10 Dec 2005 17:49:28 -0600

libsepol (1.8-1) unstable; urgency=low

  * New upstream release
      * Updated version for release.
      * Fixed symtab_insert return value for duplicate declarations.
      * Merged fix for memory error in policy_module_destroy from
        Jason Tang (Tresys).
      * Merged fix for memory leak in sepol_context_to_sid from
        Jason Tang (Tresys).
      * Merged fixes for resource leaks on error paths and
        change to scope_destroy from Joshua Brindle (Tresys).
      * Merged more fixes for resource leaks on error paths
        from Serge Hallyn (IBM).  Bugs found by Coverity.
      * Changed to treat all type conflicts as fatal errors.
      * Merged several error handling fixes from
        Serge Hallyn (IBM).  Bugs found by Coverity.
      * Fixed further memory leaks found by valgrind.
      * Fixed several memory leaks found by valgrind.
      * Fixed empty list test in cond_write_av_list.  Bug found by
        Coverity, reported by Serge Hallyn (IBM).
      * Merged patch to policydb_write to check errors
        when writing the type->attribute reverse map from
        Serge Hallyn (IBM).  Bug found by Coverity.
      * Fixed policydb_destroy to properly handle NULL type_attr_map
        or attr_type_map.
      * Fixed use of uninitialized data by expand_avtab_node by
        clearing type_val_to_struct in policydb_index_others.
      * Improved memory use by SELinux by both reducing the avtab
        node size and reducing the number of avtab nodes (by not
        expanding attributes in TE rules when possible).  Added
        expand_avtab and expand_cond_av_list functions for use by
        assertion checker, hierarchy checker, compatibility code,
        and dispol.  Added new inline ebitmap operators and converted
        existing users of ebitmaps to the new operators for greater
        efficiency.
        Note:  The binary policy format version has been incremented to
        version 20 as a result of these changes.
      * Fixed bug in constraint_node_clone handling of name sets.
      * Fix range_trans_clone to map the type values properly.
      * Merged patch to move module read/write code from libsemanage
        to libsepol from Jason Tang (Tresys).
      * Enabled further compiler warning flags and fixed them.
      * Merged user, context, port records patch from Ivan Gyurdiev.
      * Merged key extract function patch from Ivan Gyurdiev.
      * Merged mls_context_to_sid bugfix from Ivan Gyurdiev.
      * Merged context reorganization, memory leak fixes,
        port and interface loading, replacements for genusers and
        genbools, debug traceback, and bugfix patches from Ivan Gyurdiev.
      * Merged uninitialized variable bugfix from Dan Walsh.
      * Merged debug support, policydb conversion functions from Ivan
        Gyurdiev (Red Hat).
      * Removed genpolbools and genpolusers utilities.
      * Merged hierarchy check fix from Joshua Brindle (Tresys).
      * Merged header file cleanup and memory leak fix from Ivan Gyurdiev
       (Red Hat).
      * Merged genbools debugging message cleanup from Red Hat.
      * Merged loadable module support from Tresys Technology.
  * libsepol1: Priority should be required, thanks to Matt Kraai.
    (Closes: 328041)

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 14 Sep 2005 15:36:54 -0500

libsepol (1.6-2) unstable; urgency=low

  * Modify sections of generated binaries. sepol-utils belongs in admin,
    really.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 10 Aug 2005 13:28:02 -0500

libsepol (1.6-1) unstable; urgency=low

  * New upstream release
        * Updated version for release.
        * License changed to LGPL v2.1, see COPYING.
        * Added sepol_genbools_policydb and sepol_genusers_policydb for
          audit2why.
        * Added sepol_ prefix to Flask types to avoid
          namespace collision with libselinux.
        * Added sepol_compute_av_reason() for audit2why.
        * Fixed bug in role hierarchy checker.
        * Merged hierarchical type/role patch from Tresys Technology.
        * Merged MLS fixes from Darrel Goeddel of TCS.
        * Changed sepol_genusers to not delete users by default,
          and added a sepol_set_delusers function to enable deletion.
          Also, removed special case handling of system_u and user_u.
        * Merged booleans.local patch from Dan Walsh.
        * Added man page for sepol_check_context.
        * Added man page for sepol_genusers function.
        * Merged man pages for genpolusers and chkcon from Manoj Srivastava.


 -- Manoj Srivastava <srivasta@debian.org>  Mon, 27 Jun 2005 13:40:28 -0500

libsepol (1.4-1) unstable; urgency=low

  * New upstream release. Added enhanced MLS support, and the
    sepol_genusers function. Numerous small bug fixes as well.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 11 Mar 2005 10:45:32 -0600

libsepol (1.2-3) unstable; urgency=high

  * Bug fix: "libsepol: FTBFS (amd64/gcc-4.0): static declaration of
    'policydb_compat' follows non-static declaration", thanks to Andreas
    Jochens                                             (Closes: #287447).
  * Bug fix: "libsepol: FTBFS (amd64/gcc-4.0): static declaration of
    'policydb_compat' follows non-static declaration", thanks to Andreas
    Jochens                                             (Closes: #287458).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 12 Jan 2005 23:36:08 -0600

libsepol (1.2-2) unstable; urgency=low

  * Update download location and copyright file, since the locations we
    were pointing to are now forbidden (return a code 403).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 24 Nov 2004 14:02:32 -0600

libsepol (1.2-1) unstable; urgency=low

  * New upstream release. Changes:
    * MLS build fixes.
    * Added sepol_set_policydb_from_file and sepol_check_context for
      setfiles.
  * Even though the API has changed, the soname has not been bumped
    upstream on the grounds that no one is using this yet. Since we have
    not yet shipped libsepol, I guess I am OK with that.

 -- Manoj Srivastava <srivasta@debian.org>  Thu,  4 Nov 2004 01:06:08 -0600

libsepol (1.0-5) unstable; urgency=low

  * The section 3 man pages should be in the -dev package.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 27 Oct 2004 10:59:36 -0500

libsepol (1.0-3) unstable; urgency=low

  * New maintainer, and new build system. Try and address the concerns of
    the ftp master on the last upload.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 27 Oct 2004 00:45:53 -0500

libsepol (1.0-2) unstable; urgency=low

  * Stuffed it up.  New upload to fix dependency in -dev package.

 -- Russell Coker <russell@coker.com.au>  Fri, 20 Aug 2004 18:24:00 +1000

libsepol (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Russell Coker <russell@coker.com.au>  Fri, 20 Aug 2004 18:14:00 +1000
